// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.areasample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.*;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		
		ChartSeries series1 = chartView.getSeries().get("Series1");
		ChartSeries series2 = chartView.getSeries().get("Series2");
		
		double[] data1 = { 82, 75, 96, 65, 87 };
		double[] data2 = { 37, 28, 43, 48, 56 };

		series1.getPoints().setData(data1);
		series2.getPoints().setData(data2);
	}
}
