// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.barsample;

import java.util.Calendar;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.*;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);
		
		ChartSeries series1 = chartView.getSeries().get(0);
		
		double[] data = { 74, 38, 56, 67, 49, 51, 34 };
		Calendar calendar = Calendar.getInstance();
		
		calendar.clear();
		calendar.set(2010, 2, 12);
		
		for (int i = 0; i < data.length; i++)
		{
			series1.getPoints().addDate(calendar, data[i]);
			calendar.add(Calendar.DAY_OF_MONTH, 1);
		}
	}
}
