// #region Copyright
// Copyright ArtfulBits Inc. 2005 - 2010. All rights reserved.
// 
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// info@artfulbits.com. Re-distribution in any form is strictly
// prohibited. Any infringement will be prosecuted under applicable laws.
// #endregion
package com.artfulbits.aiCharts.stackedcolumn100sample;

import com.artfulbits.aiCharts.ChartView;
import com.artfulbits.aiCharts.Base.ChartSeries;

import android.app.Activity;
import android.os.Bundle;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		ChartView chartView = (ChartView) findViewById(R.id.chartView);

		ChartSeries bottomSeries = chartView.getSeries().get("bottom");
		ChartSeries topSeries = chartView.getSeries().get("top");

		double[] data1 = { 83, 57, 55, 35, 7, 16, 39, 41, 64, 68 };
		double[] data2 = { 1, 16, 18, 26, 82, 91, 73, 69, 50, 38 };

		bottomSeries.getPoints().setData(data1);
		topSeries.getPoints().setData(data2);
	}
}
